Skip to main content
GET
/
v1
/
community
/
points
cURL
curl --request GET \
  --url https://api.flipsuite.xyz/v1/community/points \
  --header 'x-api-key: <x-api-key>'
{
  "data": [
    {
      "id": "01964da2-5a0c-7ea4-99de-2301c1ef5bd7",
      "communityId": "90895e48-0db7-4e99-b63a-b4401753da62",
      "status": "ACTIVE",
      "createdAt": 1770897600000,
      "name": "XP",
      "description": "Community experience",
      "emoji": "✨",
      "aliases": [
        "exp",
        "experience"
      ],
      "isTransferable": false,
      "isBurnable": false,
      "permissions": [
        "VIEW",
        "TRANSFER",
        "SPEND",
        "PRINT"
      ],
      "holderCount": 256
    }
  ],
  "pagination": {
    "offset": 123,
    "limit": 123,
    "total": 123,
    "count": 123
  }
}

Headers

x-api-key
string
required

Your community API key

Query Parameters

query
string

Search query to match point system name against

Maximum string length: 256
statuses
enum<string>[]

Point system statuses to filter by

Available options:
ACTIVE,
ARCHIVED,
SUSPENDED
permission
enum<string>
default:VIEW

Required permission for returned point systems

Available options:
VIEW,
TRANSFER,
SPEND,
PRINT
includeShared
boolean
default:false

Whether to include shared point systems available through collabs

offset
number
default:0
Required range: x >= 0
limit
number
default:20
Required range: 0 <= x <= 50

Response

200 - application/json

Point systems have been retrieved

data
object[]
required

Point systems matching the query

pagination
object
required

Pagination metadata